package com.bcxin.backend.domain.configs;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Auther linqinglin
 * @date 2022/3/27 15:51
 */
@Component
@ConfigurationProperties(prefix = "file.outmode")
public class FileModeOutConfig {

    /** 开关 true开 false关 */
    private static Boolean useFtp = false;

    private static String host;

    private static String userName;

    private static String password;

    private static int port;

    private static String filePath;

    public static int defaultTimeoutSecond = 10;

    public static int connectTimeoutSecond = 10;

    public static int dataTimeoutSecond = 10;

    public static int threadPoolSize = 1;

    public static int ftpConnectionSize = 1;

    public static Boolean getUseFtp() {
        return useFtp;
    }

    public void setUseFtp(Boolean useFtp) {
        FileModeOutConfig.useFtp = useFtp;
    }

    public static String getHost() {
        return host;
    }

    public void setHost(String host) {
        FileModeOutConfig.host = host;
    }

    public static String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        FileModeOutConfig.userName = userName;
    }

    public static String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        FileModeOutConfig.password = password;
    }

    public static int getPort() {
        return port;
    }

    public void setPort(int port) {
        FileModeOutConfig.port = port;
    }

    public static String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        FileModeOutConfig.filePath = filePath;
    }

}
